import { DocPlugin } from '@modern-js/doc-core/src/shared/types/Plugin';

interface PluginTypeDocOptions {
    /**
     * The entry points of modules.
     * @default []
     */
    entryPoints: string[];
    /**
     * The output directory.
     * @default 'api'
     */
    outDir?: string;
}
declare function pluginTypeDoc(options: PluginTypeDocOptions): DocPlugin;

export { PluginTypeDocOptions, pluginTypeDoc };
